java.lang.ClassCastException: com.ibm.xml.xlxp2.api.stax.XMLEventFactoryImpl incompatible with javax.xml.stream.XMLEventFactory

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

java.lang.ClassCastException: com.ibm.xml.xlxp2.api.stax.XMLEventFactoryImpl incompatible with javax.xml.stream.XMLEventFactory

sheltzer
I am attempting to upgrade my project to Spring 5 running on Websphere 8.5.
We are using the IBM JDK 1.8_64.

I'm running into an issue reading an XLSX file and I cannot figure out how
to get past it.  I've played with stax, xml-api, xalan and xerces jar
versions and cannot find a magical combination.

Caused by: java.lang.ClassCastException:
com.ibm.xml.xlxp2.api.stax.XMLEventFactoryImpl incompatible with
javax.xml.stream.XMLEventFactory
        at
javax.xml.stream.XMLEventFactory.newInstance(XMLEventFactory.java:30)
        at
org.apache.poi.openxml4j.opc.internal.marshallers.PackagePropertiesMarshaller.<clinit>(PackagePropertiesMarshaller.java:41)




--
Sent from: http://apache-poi.1045710.n5.nabble.com/POI-User-f2280730.html

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: java.lang.ClassCastException: com.ibm.xml.xlxp2.api.stax.XMLEventFactoryImpl incompatible with javax.xml.stream.XMLEventFactory

pj.fanning
It looks like that IBM pull parser is incompatible with what POI needs.
Could you try adding https://github.com/FasterXML/woodstox to your classpath
to see if that is loaded in preference to the IBM one?



--
Sent from: http://apache-poi.1045710.n5.nabble.com/POI-User-f2280730.html

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]